<?php

namespace Teknisa\DF\Modules\Saida\Factories;

use Doctrine\ORM\EntityManager;

class Dfs65001ParametrosNfseInscmuniFactory {
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function verificarInscricaoMunicipal($params) {
        $sql = "SELECT COUNT(*) AS EXISTE
                  FROM PARAMNFSEINSCMUNI
                 WHERE CDEMPRESA           = :P_CDEMPRESA
                   AND CDINSCMUNI          = :P_CDINSCMUNI
                   AND NRORG               = :P_NRORG
                   AND NRPARAMNFSEINSCMUNI <> :P_NRPARAMNFSEINSCMUNI";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function remove($row){
        $sql = "DELETE 
        FROM PARAMNFSEINSCMUNI 
        WHERE NRPARAMNFSEINSCMUNI = :PARAM";
        $params = array(
            "PARAM"  => $row['NRPARAMNFSEINSCMUNI']
        );
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function getLocalServidor($params) {
        $sql = "SELECT IDLOCALSERVIDOR
                  FROM PARAMNFSEINSCMUNI
                 WHERE CDEMPRESA  = :P_CDEMPRESA
                   AND CDINSCMUNI = :P_CDINSCMUNI
                   AND NRORG      = :P_NRORG";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
        
    public function getModeloNfse($params) {
        $sql = "SELECT DSCAMINHOMODELO
                  FROM PARAMNFSEINSCMUNI
                 WHERE CDEMPRESA  = :P_CDEMPRESA
                   AND CDINSCMUNI = :P_CDINSCMUNI
                   AND NRORG      = :P_NRORG";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

}